//
//  KinemeAudio.h
//  KinemeCore
//
//  Created by Christopher Wright on 11/20/07.
//  Copyright 2007 Kosada Incorporated. All rights reserved.
//

#define kMaximumKinemeAudioSamples (4096)
#define kMinimumKinemeAudioSamples (256)

@interface KinemeAudio : NSObject
{
	NSUInteger _numSamples;
	float	*_samples;
}

- (NSUInteger)count;
- (void)setCount:(NSUInteger)count;
- (float*)samples;

@end
