//
//  KinemeAudioOutputPort.h
//  KinemeCore Port for selecting an audio output destination
//
//  Created by Christopher Wright on 11/21/07.
//  Copyright 2007 Kosada Incorportated. All rights reserved.
//

#import <KinemeCore/QCIndexPort.h>


@interface KinemeAudioOutputPort : QCIndexPort
{
	NSArray	*deviceArray;
}

- (KinemeAudioOutputPort*)initWithNode:(id)node arguments:(NSMutableDictionary*)args;
- (NSNumber*) audioDeviceIDForIndex:(NSUInteger)index;
- (NSNumber*) audioDeviceID;
@end